Skip to main content
GET
/
connection_groups
/
search
Search Connection Groups
curl --request GET \
  --url https://api.xplenty.com/{account_id}/api/connection_groups/search \
  --header 'Accept: <accept>' \
  --header 'Authorization: Basic <encoded-value>'
[
  {
    "id": 123,
    "name": "<string>",
    "description": "<string>",
    "account_id": 123,
    "modified_by": {
      "name": "<string>",
      "email": "<string>"
    },
    "connections": [
      {
        "id": 123,
        "name": "<string>",
        "type": "<string>"
      }
    ],
    "created_at": "2023-11-07T05:31:56Z",
    "updated_at": "2023-11-07T05:31:56Z"
  }
]

Authorizations

Authorization
string
header
required

Enter your API key as the username. Leave the password field blank. Example: curl -u YOUR_API_KEY: https://api.xplenty.com/...

Headers

Accept
string
default:application/vnd.xplenty+json; version=2
required

API version header — required on all requests

Query Parameters

offset
integer
default:0

Index of the first object to retrieve (starting from 0)

Required range: x >= 0
limit
integer
default:20

Number of items to return (max 100)

Required range: 1 <= x <= 100
q
string
required

Search query.

Response

200 - application/vnd.xplenty+json; version=2

Successful response

id
integer
name
string
description
string | null
account_id
integer
modified_by
object

User who last modified the group.

connections
object[]

Database and cloud storage connections assigned to this group.

created_at
string<date-time>
updated_at
string<date-time>
Last modified on June 9, 2026